%define upstream_name    Catalyst-Plugin-Session-FastMmap
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	File storage backend for session data
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-Catalyst
BuildRequires:	perl-Catalyst-Plugin-Session
BuildRequires:	perl(Class::Data::Inheritable)
BuildRequires:	perl-URI-Find
BuildRequires:  perl-Cache-FastMmap
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
Fast sessions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Catalyst/Plugin/Session/*
%{_mandir}/*/*


%changelog
* Tue Feb 09 2010 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.1
+ Revision: 502718
- update to 0.13

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.120.0-1mdv2010.0
+ Revision: 406389
- adding missing buildrequires:
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.12-5mdv2009.0
+ Revision: 255564
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.12-3mdv2008.1
+ Revision: 136677
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-3mdv2008.0
+ Revision: 86059
- rebuild


* Mon Apr 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.12-2mdk
- Add BuildRequires

* Sat Apr 08 2006 Arnaud de Lorbeau <devel@mandriva.com> 0.12-1mdk
- Initial MDV RPM

